Attean::API::Term(3pm)

NAME
Attean::API::Term - RDF Terms

VERSION
This document describes Attean::API::Term version 0.035

DESCRIPTION
The Attean::API::Term role defines a common API for all RDF terms.

REQUIRED METHODS
The following methods are required by the Attean::API::Term role:

"value"
    Returns the term's value string.

"ntriples_string"
    Returns an N-Triples-compatible string serialization.

METHODS
This role provides default implementations of the following methods:

"as_string"
    Returns a string serialization of the term.

"ebv"
    Returns true if the term has a true SPARQL "effective boolean value", false otherwise.

"order ( $other )"
    Similar to "compare", but provides the ordering semantics of ORDER BY.

sameTerms( $other )
sameTerms( $other )
sameTerms( $other )

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/attean/issues>.

SEE ALSO

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2022 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.